cURL
curl -H "Authorization: Bearer $HYPERDASH_API_KEY" 'https://data.hyperdash.com/v1/traders/screener?sort=sharpe30d&limit=100'import requests
url = "https://data.hyperdash.com/v1/traders/screener"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.hyperdash.com/v1/traders/screener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.hyperdash.com/v1/traders/screener",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.hyperdash.com/v1/traders/screener"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.hyperdash.com/v1/traders/screener")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.hyperdash.com/v1/traders/screener")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "<string>",
"rank": 123,
"pnl_day": "<string>",
"pnl_week": "<string>",
"pnl_month": "<string>",
"pnl_alltime": "<string>",
"total_trades": 123,
"trades_7d": 123,
"trades_30d": 123,
"long_trades": 123,
"short_trades": 123,
"winning_trades": 123,
"losing_trades": 123,
"winrate": "<string>",
"winrate_7d": "<string>",
"winrate_30d": "<string>",
"winrate_90d": "<string>",
"last_trade_at": 123,
"last_fill_at": 123,
"account_value": "<string>",
"notional": "<string>",
"unrealized_pnl": "<string>",
"display_name": "<string>",
"twitter": "<string>",
"tag": "<string>",
"verified": true,
"label": "<string>",
"sharpe_7d": "<string>",
"sharpe_30d": "<string>",
"sortino_7d": "<string>",
"sortino_30d": "<string>",
"sortino_90d": "<string>",
"max_drawdown_week": "<string>",
"max_drawdown_month": "<string>",
"max_drawdown_90d": "<string>",
"gpr_7d": "<string>",
"gpr_30d": "<string>",
"gpr_90d": "<string>",
"gpr_all_time": "<string>",
"copy_score": "<string>",
"copy_score_v2": "<string>",
"top_assets": "<string>",
"total_volume": "<string>",
"updated_at": 123,
"avatar": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"meta": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}Traders
Trader screener
Ranked traders with their stats: PnL per window, trade counts, win rates, Sharpe and Sortino, drawdowns, GPR, copy scores, account value, open notional, unrealized PnL, profile and top assets.
GET
/
v1
/
traders
/
screener
cURL
curl -H "Authorization: Bearer $HYPERDASH_API_KEY" 'https://data.hyperdash.com/v1/traders/screener?sort=sharpe30d&limit=100'import requests
url = "https://data.hyperdash.com/v1/traders/screener"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.hyperdash.com/v1/traders/screener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.hyperdash.com/v1/traders/screener",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.hyperdash.com/v1/traders/screener"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.hyperdash.com/v1/traders/screener")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.hyperdash.com/v1/traders/screener")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "<string>",
"rank": 123,
"pnl_day": "<string>",
"pnl_week": "<string>",
"pnl_month": "<string>",
"pnl_alltime": "<string>",
"total_trades": 123,
"trades_7d": 123,
"trades_30d": 123,
"long_trades": 123,
"short_trades": 123,
"winning_trades": 123,
"losing_trades": 123,
"winrate": "<string>",
"winrate_7d": "<string>",
"winrate_30d": "<string>",
"winrate_90d": "<string>",
"last_trade_at": 123,
"last_fill_at": 123,
"account_value": "<string>",
"notional": "<string>",
"unrealized_pnl": "<string>",
"display_name": "<string>",
"twitter": "<string>",
"tag": "<string>",
"verified": true,
"label": "<string>",
"sharpe_7d": "<string>",
"sharpe_30d": "<string>",
"sortino_7d": "<string>",
"sortino_30d": "<string>",
"sortino_90d": "<string>",
"max_drawdown_week": "<string>",
"max_drawdown_month": "<string>",
"max_drawdown_90d": "<string>",
"gpr_7d": "<string>",
"gpr_30d": "<string>",
"gpr_90d": "<string>",
"gpr_all_time": "<string>",
"copy_score": "<string>",
"copy_score_v2": "<string>",
"top_assets": "<string>",
"total_volume": "<string>",
"updated_at": 123,
"avatar": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"meta": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"hint": "<string>"
}Query Parameters
Sort field. Defaults to pnlPerpMonth, the 30-day perp PnL, as on Explore traders on hyperdash.com.
Available options:
pnlPerpDay, pnlPerpWeek, pnlPerpMonth, pnlPerpAllTime, winrate30d, winrate7d, winrateLifetime, totalTrades, accountValue, notional, sharpe30d, copyScore, copyScoreV2, maxDrawdownPerpWeek, maxDrawdownPerpMonth Response
OK

